Lync 2010 Client now supported in LyncOnline

Microsoft has recently updated it’s client support for Lync Online, which now includes the Lync 2010 Windows Client. This is a significant piece of Information, particularly for migration scenarios and the client rollout process. A lot of demand has been made within the community for this, so I’m sure it will be very much welcomed!

Client Requirements

Microsoft Lync 2010 desktop client must be version 4.0.7577.4419 (or later) released in January 2014, as described here: http://support.microsoft.com/kb/2912208.